[Frage] Plugin einfügen funktioniert nicht mehr nach Update auf Version 9.1 [Gelöst] TYPO3-Version: -

  • mimii mimii
    Jedi-Ratsmitglied
    0 x
    613 Beiträge
    1 Hilfreiche Beiträge
    07. 12. 2021, 12:00

    Hallo ins Forum,

    ich habe Typo3 von 9.5 auf 10.4 aktualisiert und alle Extensions ebenfalls auf den erforderlichen Stand angehoben. Soweit passt alles. Lediglich mit tx_news gibt es Probleme. Bei den Templates hat sich einiges getan, das konnte ich beheben, so dass die FE Anzeige auch wieder stimmt.

    Allerdings gibt es im BE Probleme. ich kann kein Plugin mehr einfügen oder ein bestehendes bearbeiten. Diese Fehlermeldung wird angezeigt:

    Oops, an error occurred!
    Argument 1 passed to str_starts_with() must be of the type string or null, array given, called in /html/typo3-stage/typo3conf/ext/news/Classes/Utility/TemplateLayout.php on line 40

    Muss ich was anpassen? Sorry, aber ich versteh's nicht wirklich :-/

    Bin dankbar für jeden Tipp.

    THX und Gruß
    mimii

  • mimii mimii
    Jedi-Ratsmitglied
    0 x
    613 Beiträge
    1 Hilfreiche Beiträge
    10. 12. 2021, 11:11 - Lösung

    Gefunden!
    Es lag an meiner tsconfig.

    tx_news.templateLayouts {
    1 = Standard
    5 = Einzelansicht
    #5.allowedColPos = 20,21,22
    }
    Ohne die allowedColPos Angabe funktioniert es. Warum auch immer?


  • 1
  • 1